var _SIZE_TO_WIDTH_LINE_M;

import PropTypes from 'prop-types';
import cx from 'classnames';
import Circle from './Circle';
import { jsxs as _jsxs } from "react/jsx-runtime";
import { jsx as _jsx } from "react/jsx-runtime";
var SIZES = {
  LARGE: 'large',
  MEDIUM: 'medium',
  SMALL: 'small'
};
var STATUS = {
  LOADING: 'loading',
  PROGRESS: 'progress',
  ERROR: 'error'
};
var SIZE_TO_WIDTH_LINE_MAP = (_SIZE_TO_WIDTH_LINE_M = {}, _SIZE_TO_WIDTH_LINE_M[SIZES.LARGE] = 4, _SIZE_TO_WIDTH_LINE_M[SIZES.MEDIUM] = 8, _SIZE_TO_WIDTH_LINE_M[SIZES.SMALL] = 8, _SIZE_TO_WIDTH_LINE_M);
var BASE_CLASS_NAME = 'sui-AtomCircleProgressBarV2';
var INDICATOR_CLASS_NAME = BASE_CLASS_NAME + "-indicator";

var Indicator = function Indicator(_ref) {
  var percentage = _ref.percentage,
      status = _ref.status,
      errorIcon = _ref.errorIcon,
      size = _ref.size,
      children = _ref.children;
  if (status === STATUS.LOADING) return null;
  return /*#__PURE__*/_jsxs("span", {
    className: cx(INDICATOR_CLASS_NAME, INDICATOR_CLASS_NAME + "--" + status, INDICATOR_CLASS_NAME + "--" + size),
    children: [status === STATUS.PROGRESS && (children || percentage + "%"), status === STATUS.ERROR && errorIcon]
  });
};

var CircleProgressBar = function CircleProgressBar(_ref2) {
  var percentage = _ref2.percentage,
      status = _ref2.status,
      errorIcon = _ref2.errorIcon,
      size = _ref2.size,
      isAnimatedOnChange = _ref2.isAnimatedOnChange,
      hideIndicator = _ref2.hideIndicator,
      children = _ref2.children;
  var circleWidth = SIZE_TO_WIDTH_LINE_MAP[size];
  return /*#__PURE__*/_jsxs("div", {
    className: cx(BASE_CLASS_NAME, BASE_CLASS_NAME + "--" + size, BASE_CLASS_NAME + "--" + status),
    children: [/*#__PURE__*/_jsx(Circle, {
      baseClassName: BASE_CLASS_NAME,
      modifier: status,
      percentage: status === STATUS.PROGRESS ? percentage : 0,
      withAnimation: isAnimatedOnChange,
      strokeWidth: circleWidth,
      size: size
    }), !hideIndicator && /*#__PURE__*/_jsx(Indicator, {
      percentage: percentage,
      size: size,
      status: status,
      errorIcon: errorIcon,
      children: children
    })]
  });
};

CircleProgressBar.displayName = 'LineProgressBar';
CircleProgressBar.defaultProps = {
  isAnimatedOnChange: false,
  status: STATUS.PROGRESS,
  hideIndicator: false
};
export default CircleProgressBar;