import PropTypes from 'prop-types';
import cx from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var BASE_CLASS = 'sui-AtomLineDoubleProgressBarV2';
var CLASS_INDICATOR = BASE_CLASS + "-indicator";
var CLASS_CONTAINER_BAR = BASE_CLASS + "-container";
var CLASS_BAR = BASE_CLASS + "-bar";
var CLASS_BAR_ANIMATED = CLASS_BAR + "--animated";
var CLASS_EXTRA_BAR = BASE_CLASS + "-extraBar";
var CLASS_EXTRA_BAR_ANIMATED = CLASS_EXTRA_BAR + "--animated"; // eslint-disable-next-line react/prop-types

var Indicator = function Indicator(_ref) {
  var indicatorBottom = _ref.indicatorBottom,
      indicatorTotal = _ref.indicatorTotal,
      mainBarPercentage = _ref.mainBarPercentage;
  return /*#__PURE__*/_jsxs("span", {
    className: cx(CLASS_INDICATOR, CLASS_INDICATOR + "--" + (indicatorBottom ? 'bottom' : 'top')),
    children: [/*#__PURE__*/_jsx("strong", {
      children: mainBarPercentage
    }), indicatorTotal ? "/100" : "%"]
  });
};

var LineDoubleProgressBar = function LineDoubleProgressBar(_ref2) {
  var extraBarPercentage = _ref2.extraBarPercentage,
      hideIndicator = _ref2.hideIndicator,
      indicatorBottom = _ref2.indicatorBottom,
      indicatorTotal = _ref2.indicatorTotal,
      isAnimatedOnChange = _ref2.isAnimatedOnChange,
      mainBarPercentage = _ref2.mainBarPercentage;
  var width = mainBarPercentage + "%";
  var widthExtraBar = extraBarPercentage + "%";
  var styleBar = {
    width: width
  };
  var styleExtraBar = {
    width: widthExtraBar
  };
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS,
    children: [!hideIndicator && !indicatorBottom && /*#__PURE__*/_jsx(Indicator, {
      indicatorBottom: indicatorBottom,
      mainBarPercentage: mainBarPercentage,
      indicatorTotal: indicatorTotal
    }), /*#__PURE__*/_jsxs("div", {
      className: CLASS_CONTAINER_BAR,
      children: [/*#__PURE__*/_jsx("span", {
        className: cx(CLASS_BAR, isAnimatedOnChange && CLASS_BAR_ANIMATED),
        style: styleBar
      }), /*#__PURE__*/_jsx("span", {
        className: cx(CLASS_EXTRA_BAR, isAnimatedOnChange && CLASS_EXTRA_BAR_ANIMATED),
        style: styleExtraBar
      })]
    }), !hideIndicator && indicatorBottom && /*#__PURE__*/_jsx(Indicator, {
      indicatorBottom: indicatorBottom,
      mainBarPercentage: mainBarPercentage,
      indicatorTotal: indicatorTotal
    })]
  });
};

LineDoubleProgressBar.displayName = 'LineDoubleProgressBar';
export default LineDoubleProgressBar;