import _extends from "@babel/runtime/helpers/esm/extends";
import PropTypes from 'prop-types';
import cx from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var BASE_CLASS = 'sui-AtomLineProgressBarV2';
var CLASS_INDICATOR = BASE_CLASS + "-indicator";
var CLASS_CONTAINER_BAR = BASE_CLASS + "-container";
var CLASS_BAR = BASE_CLASS + "-bar";
var CLASS_BAR_ANIMATED = CLASS_BAR + "--animated";

var Indicator = function Indicator(props) {
  var indicatorBottom = props.indicatorBottom,
      percentage = props.percentage,
      indicatorTotal = props.indicatorTotal; // eslint-disable-line react/prop-types

  return /*#__PURE__*/_jsxs("span", {
    className: cx(CLASS_INDICATOR, CLASS_INDICATOR + "--" + (indicatorBottom ? 'bottom' : 'top')),
    children: [/*#__PURE__*/_jsx("strong", {
      children: percentage
    }), indicatorTotal ? "/100" : "%"]
  });
};

var LineProgressBar = function LineProgressBar(props) {
  var percentage = props.percentage,
      indicatorBottom = props.indicatorBottom,
      isAnimatedOnChange = props.isAnimatedOnChange,
      hideIndicator = props.hideIndicator;
  var width = percentage + "%";
  var styleBar = {
    width: width
  };
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS,
    children: [!hideIndicator && !indicatorBottom && /*#__PURE__*/_jsx(Indicator, _extends({}, props)), /*#__PURE__*/_jsx("div", {
      className: CLASS_CONTAINER_BAR,
      children: /*#__PURE__*/_jsx("span", {
        className: cx(CLASS_BAR, isAnimatedOnChange && CLASS_BAR_ANIMATED),
        style: styleBar
      })
    }), !hideIndicator && indicatorBottom && /*#__PURE__*/_jsx(Indicator, _extends({}, props))]
  });
};

LineProgressBar.displayName = 'LineProgressBar';
export default LineProgressBar;