import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["type", "size"];
import PropTypes from 'prop-types';
import LineProgressBar from './LineProgressBar';
import CircleProgressBar from './CircleProgressBar';
import LineDoubleProgressBar from './LineDoubleProgressBar';
import { jsx as _jsx } from "react/jsx-runtime";
var TYPES = {
  CIRCLE: 'circle',
  LINE: 'line',
  LINE_DOUBLE_BAR: 'lineDoubleBar'
};
var SIZES = {
  LARGE: 'large',
  SMALL: 'small'
};

var AtomProgressBar = function AtomProgressBar(_ref) {
  var type = _ref.type,
      size = _ref.size,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  switch (type) {
    case TYPES.LINE:
      return /*#__PURE__*/_jsx(LineProgressBar, _extends({}, props));

    case TYPES.CIRCLE:
      return /*#__PURE__*/_jsx(CircleProgressBar, _extends({
        size: size
      }, props));

    case TYPES.LINE_DOUBLE_BAR:
      return /*#__PURE__*/_jsx(LineDoubleProgressBar, _extends({
        size: size
      }, props));

    default:
      return /*#__PURE__*/_jsx(LineProgressBar, _extends({}, props));
  }
};

AtomProgressBar.displayName = 'AtomProgressBar';
AtomProgressBar.defaultProps = {
  size: SIZES.LARGE,
  type: TYPES.LINE
};
export default AtomProgressBar;
export { TYPES as atomProgressBarTypes, SIZES as atomProgressBarSizes };